openSUSE2021:0812-1: moderate: Security update for libxls

openSUSE Security Update: Security update for libxls ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0812-1 Rating: moderate References: #1179532 Cross-References: CVE-2020-27819 Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that fixes one vulnerability is now available.
Description:
This update for libxls fixes the following issues:
libxsl was updated to release 1.6.2:
* Fix NULL pointer dereferences in the xls2csv tool [boo#1179532] [CVE-2020-27819]
Update to release 1.6.1
* Enabled decoding of non-Unicode character sets in older (BIFF5) XLS files. * Improved string conversion performance in newer files.
update to 1.5.3:
* Allow truncated XLS files * Fix long-standing “extra column” bug #73 * Support for RSTRING records (rich-text cells in older BIFF5 files) tidyverse/readxl#611
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-812=1

Package List:
– openSUSE Leap 15.2 (x86_64):
libxls-debuginfo-1.6.2-lp152.2.3.1 libxls-debugsource-1.6.2-lp152.2.3.1 libxls-devel-1.6.2-lp152.2.3.1 libxls-tools-1.6.2-lp152.2.3.1 libxls-tools-debuginfo-1.6.2-lp152.2.3.1 libxlsreader8-1.6.2-lp152.2.3.1 libxlsreader8-debuginfo-1.6.2-lp152.2.3.1
References:
www.suse.com/security/cve/CVE-2020-27819.html bugzilla.suse.com/1179532